variables:
  - publish_mirror: &publish_mirror
      from_secret: DOCKER_MIRROR_URL
  - publish_logins: &publish_logins
      - registry:
          from_secret: DOCKER_MIRROR_URL
        username:
          from_secret: DOCKER_MIRROR_USER
        password:
          from_secret: DOCKER_MIRROR_PASS
      - registry: git.ar21.de
        username:
          from_secret: REGISTRY_USER
        password:
          from_secret: REGISTRY_PASS

steps:
- name: docker
  image: woodpeckerci/plugin-docker-buildx
  settings:
    mirror: *publish_mirror
    logins: *publish_logins
    repo: git.ar21.de/yolokube/dashboard
    tags:
      - latest
      - ${CI_PIPELINE_NUMBER}
  when:
    - branch: master
      event: push
- name: docker-staging
  image: woodpeckerci/plugin-docker-buildx
  settings:
    mirror: *publish_mirror
    logins: *publish_logins
    repo: git.ar21.de/yolokube/dashboard
    tags:
      - staging
      - staging-${CI_PIPELINE_NUMBER}
  when:
    - branch:
        exclude: master
      event: push
